document: modulemd
version: 2
data:
    name: perl-App-cpanminus
    stream: '1.7044'
    summary: Get, unpack, build and install CPAN modules
    description: >
        This is a CPAN client that requires zero configuration, and stands
        alone but it's maintainable and extensible with plug-ins and friendly
        to shell scripting.
    license:
        module: [ MIT ]
    dependencies:
        - buildrequires:
              platform: [f34]
              perl: ['5.30', '5.32']
          requires:
              platform: [f34]
              perl: ['5.30', '5.32']
              perl-YAML: []
    references:
        community: https://metacpan.org/release/App-cpanminus
    profiles:
        common:
            description: App-cpanminus distribution
            rpms:
                - perl-App-cpanminus
    api:
        rpms:
            - perl-App-cpanminus
    buildopts:
        rpms:
            macros: |
                %_without_perl_CPAN_Meta_Check_enables_extra_test 1
    components:
        rpms:
            perl-File-pushd:
                rationale: Run-time dependency.
                ref: master
                buildorder: 0
            perl-Parse-PMFile:
                rationale: Run-time dependency.
                ref: master
                buildorder: 0
            perl-String-ShellQuote:
                rationale: Run-time dependency.
                ref: master
                buildorder: 0
            perl-Test-Deep:
                rationale: Build-time dependency.
                ref: master
                buildonly: true
                buildorder: 0
            perl-App-cpanminus:
                rationale: The API.
                ref: master
                buildorder: 1
            perl-CPAN-Meta-Check:
                rationale: Run-time dependency.
                ref: master
                buildorder: 1
            perl-Module-CPANfile:
                rationale: Run-time dependency.
                ref: master
                buildorder: 1
